View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000293Ecere SDKcompilerpublic2009-12-05 07:452014-05-19 01:32
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000293: symbolgen (ecs) doesn't like remote class method using nonexistent type
Descriptionecs will crash if a remote class uses an identifier that doesn't exist. see test code in additional info.
Additional Informationimport "ecere"

remote class MyRemoteClass
{
   void MyMethod(MyNonexistentType param)
   {
   }
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001254)
jerome (administrator)
2014-05-03 06:05

Fixed by:
https://github.com/ecere/ecere-sdk/commit/d2b75a5d863d7e02a9be4b9a680fb06d95e76dc9 [^]

- Issue History
Date Modified Username Field Change
2009-12-05 07:45 redj New Issue
2010-07-25 20:44 redj Relationship added child of 0000429
2010-07-26 19:18 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:19 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-04-30 10:34 jerome Assigned To => jerome
2014-04-30 10:34 jerome Status new => assigned
2014-04-30 10:34 jerome Resolution open => fixed
2014-04-30 10:34 jerome Fixed in Version => 0.44.10 64
2014-04-30 10:34 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-04-30 10:34 jerome Additional Information Updated
2014-05-03 06:05 jerome Note Added: 0001254
2014-05-03 06:05 jerome Status assigned => resolved
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker